## ros-iron-rqt-gui-cpp 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_gui_cpp)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(STATUS "rqt_gui_cpp is not yet supported on Windows. Package will not be built.")
  ament_package()
  return()
endif()

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -fPIC)
endif()

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(pluginlib REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(rclcpp REQUIRED)
find_package(qt_gui REQUIRED)
find_package(qt_gui_cpp REQUIRED)

ament_export_dependencies(
  Qt5Widgets
  pluginlib
  rclcpp
  qt_gui_cpp
  qt_gui)

add_library(${PROJECT_NAME} SHARED
  src/rqt_gui_cpp/nodelet_plugin_provider.cpp
  src/rqt_gui_cpp/roscpp_plugin_provider.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()

ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  Qt5Widgets
  pluginlib
  rclcpp
  qt_gui_cpp
  qt_gui)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME}
)
pluginlib_export_plugin_description_file(qt_gui "plugin.xml")

# Export old-style CMake variables
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-iron-rqt-gui-cpp (1.3.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 18 May 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.3.0-1jammy) jammy; urgency=high

  * Update rqt to C++17. (#285 <https://github.com/ros-visualization/rqt/issues/285>)
  * [rolling] Update maintainers - 2022-11-07 (#283 <https://github.com/ros-visualization/rqt/issues/283>)
  * Contributors: Audrow Nash, Chris Lalancette, Dharini Dutia, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.2.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.3-1jammy) jammy; urgency=high

  * Install includes to include${PROJECT_NAME} (#258 <https://github.com/ros-visualization/rqt/issues/258>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.2-1jammy) jammy; urgency=high

  * Declare dependency to pluginlib (#251 <https://github.com/ros-visualization/rqt/issues/251>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 30 Aug 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.1.0-1jammy) jammy; urgency=high

  * use tgt compile features (#247 <https://github.com/ros-visualization/rqt/issues/247>)
  * Contributors: Audrow Nash

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Apr 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.7-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.6-1jammy) jammy; urgency=high

  * avoid new deprecations (#225 <https://github.com/ros-visualization/rqt/issues/225>)
  * replace deprecated usage of rclcpp::is_initialized() (#215 <https://github.com/ros-visualization/rqt/issues/215>)
  * Contributors: Jacob Perron, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 May 2020 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.5-1jammy) jammy; urgency=high

  * drop unnecessary MOC compilation (#203 <https://github.com/ros-visualization/rqt/issues/203>)

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 03 Feb 2019 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-iron-rqt-gui-cpp (1.0.0-1jammy) jammy; urgency=high

  * skip rqt_gui_cpp on Windows (#177 <https://github.com/ros-visualization/rqt/issues/177>)
  * use non-deprecated header (#173 <https://github.com/ros-visualization/rqt/issues/173>)
  * port rqt_gui_cpp to ROS 2 (#163 <https://github.com/ros-visualization/rqt/issues/163>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * ignore unported packages (#157 <https://github.com/ros-visualization/rqt/issues/157>)
  * style changes (#143 <https://github.com/ros-visualization/rqt/issues/143>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.5.0-1jammy) jammy; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 23 Jan 2017 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.1-1jammy) jammy; urgency=high

  * add missing build dependency

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.3.0-1jammy) jammy; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 31 Mar 2016 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.14-1jammy) jammy; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 03 Mar 2014 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.13-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 07 Jan 2014 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.12-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 08 Oct 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.11-1jammy) jammy; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 05 Sep 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.10-1jammy) jammy; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.9-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.8-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jan 2013 16:00:00 -0000

ros-iron-rqt-gui-cpp (0.2.7-1jammy) jammy; urgency=high

  * first public release for Groovy



=== debian/control ===
Source: ros-iron-rqt-gui-cpp
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-pluginlib, ros-iron-qt-gui (>= 0.3.0), ros-iron-qt-gui-cpp (>= 0.3.0), ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/rqt_gui_cpp
Standards-Version: 3.9.2

Package: ros-iron-rqt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pluginlib, ros-iron-qt-gui (>= 0.3.0), ros-iron-qt-gui-cpp (>= 0.3.0), ros-iron-rclcpp, ros-iron-ros-workspace
Description: rqt_gui_cpp enables GUI plugins to use the C++ client library for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rqt-gui-cpp//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
